#### VAR

#### Synopsis

    HELP:   Read length and pointer formats from memory
    TYPE:   OBJECT
    SYNTAX: VAR(METHOD=PLENPTR/ALENPTR/PPTRLEN/APTRLEN/PFLGLENPTR/PPTRLENFLG,ALIGN=num)

#### Description

This object is used to read a column from memory based on a certain length pointer format. A limit on the maximum length of the value and/or an alignment of this element can be set for better format detection.

#### Arguments

- `NUMBER: METHOD=PLENPTR/ALENPTR/PPTRLEN/APTRLEN/PFLGLENPTR/PPTRLENFLG - Sets field order of buffer pointer and pointer length as well as padding [PFLGLENPTR]`
  - `PLENPTR - Buffer length as 32 bit (system endian) integer followed by pointer in architecture-specific length; no padding (packed) (8/12 bytes on 32/64 bit systems)`
  - `ALENPTR - Buffer length as 32 bit (system endian) integer followed by pointer in architecture-specific length; with memory alignment (unpacked) (8/16 bytes on 32/64 bit systems)`
  - `PPTRLEN - Pointer in architecture-specific length followed by buffer length as 32 bit (system endian) integer; no padding (packed) (8/12 bytes on 32/64 bit systems)`
  - `APTRLEN - Pointer in architecture-specific length followed by buffer length as 32 bit (system endian) integer; with memory alignment (unpacked) (8/12 bytes on 32/64 bit systems)`
  - `PFLGLENPTR - 32 bit flag word (system endian), buffer length as 32 bit (system endian) integer followed by pointer in architecture-specific length (12/16 bytes on 32/64 bit systems)`
  - `PPTRLENFLG - Pointer in architecture-specific length, buffer length as 32 bit (system endian) integer followed by 32 bit flag word (system endian) (12/16 bytes on 32/64 bit systems)`
- `NUMBER: ALIGN=num - Align data in the buffers pointed at to the next multiple of this value in bytes [1 (no alignment)]`